Aria: ArMapFileLineSet Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArMapFileLineSet Class Reference

`#include <ArMapUtils.h>`

List of all members.

## Detailed Description

A set of map file line groups.

ArMapFileLineSet is a container of ArMapFileLineGroup objects -- i.e. a set of parent/child text lines in an Aria map. The class has been defined to enable comparisons of map file versions. Each section of an Aria map is written to an ArMapFileLineSet and then the standard algorithm set_difference can be used to determine changes within a section. The static method ArMapFileLineSet::calculateChanges() performs this comparison.

Java and Python Wrappers: Not available in Java or Python wrapper libraries.

## Public Member Functions
| ArMapFileLineSet (const ArMapFileLineSet &other)
| Copy constructor.
| ArMapFileLineSet ()
| Constructor.
iterator | find (const ArMapFileLine &groupParent)
| Searches the set for the given parent line.
void | log (const char *prefix)
| Writes the set to the Aria output log.
ArMapFileLineSet & | operator= (const ArMapFileLineSet &other)
| Assignment operator.
| ~ArMapFileLineSet ()
| Destructor.
## Static Public Member Functions
static bool | calculateChanges (ArMapFileLineSet &origLines, ArMapFileLineSet &newLines, ArMapFileLineSet *deletedLinesOut, ArMapFileLineSet *addedLinesOut, bool isCheckChildren=true)
| Determines the changes that have been made to a set of ArMapFileLines.

## Member Function Documentation

static bool ArMapFileLineSet::calculateChanges | ( | ArMapFileLineSet & | origLines,
|  | ArMapFileLineSet & | newLines,
|  | ArMapFileLineSet * | deletedLinesOut,
|  | ArMapFileLineSet * | addedLinesOut,
|  | bool | isCheckChildren = `true` |
| ) |  |  | `[static]`

Determines the changes that have been made to a set of ArMapFileLines.

Parameters:

  | origLines | the ArMapFileLineSet that contains the original map file lines
  | newLines | the ArMapFileLineSet that contains the new map file lines
  | deletedLinesOut | a pointer to the ArMapFileLineSet that is populated with lines that have been deleted, i.e. that are contained in origLines but not in newLines
  | addedLinesOut | a pointer to the ArMapFileLineSet that is populated with lines that have been added, i.e. that are contained in newLines but not in origLines
  | isCheckChildren | a bool set to true if child lines should also be checked; if false, then only the parent lines are checked

Returns:
  bool true if the changes were successfully determined; false if an error occurred

The documentation for this class was generated from the following file:

- ArMapUtils.h